GuidedTourGeneratorUtil (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.guidedtour.resources
Class GuidedTourGeneratorUtil

    java.lang.Object
      org.gcube.portlets.user.guidedtour.resources.GuidedTourGeneratorUtil

    public class GuidedTourGeneratorUtil

extends Object

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Constructor Summary
`GuidedTourGeneratorUtil()`

Method Summary
`static Map<TourLanguage,URL>` | `findResources(com.google.gwt.core.ext.TreeLogger logger, com.google.gwt.resources.ext.ResourceContext context, com.google.gwt.core.ext.typeinfo.JMethod method, TourLanguage[] locales)`
`static Map<TourLanguage,URL>` | `findResources(com.google.gwt.core.ext.TreeLogger logger, com.google.gwt.resources.ext.ResourceContext context, com.google.gwt.core.ext.typeinfo.JMethod method, TourLanguage[] locales, String[] defaultSuffixes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuidedTourGeneratorUtil

    public GuidedTourGeneratorUtil()

Method Detail

### findResources

    public static Map<TourLanguage,URL> findResources(com.google.gwt.core.ext.TreeLogger logger,
                                                      com.google.gwt.resources.ext.ResourceContext context,
                                                      com.google.gwt.core.ext.typeinfo.JMethod method,
                                                      TourLanguage[] locales)
                                               throws com.google.gwt.core.ext.UnableToCompleteException

  Throws:
    `com.google.gwt.core.ext.UnableToCompleteException`

### findResources

    public static Map<TourLanguage,URL> findResources(com.google.gwt.core.ext.TreeLogger logger,
                                                      com.google.gwt.resources.ext.ResourceContext context,
                                                      com.google.gwt.core.ext.typeinfo.JMethod method,
                                                      TourLanguage[] locales,
                                                      String[] defaultSuffixes)
                                               throws com.google.gwt.core.ext.UnableToCompleteException

  Throws:
    `com.google.gwt.core.ext.UnableToCompleteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.